Package org.kapott.hbci.tools

# Class UpdateBLZProperties

java.lang.Object
org.kapott.hbci.tools.UpdateBLZProperties

public class UpdateBLZProperties extends Object
Util-Klasse, welche die FinTS-Bankenliste im CSV-Format (kann von http://www.hbci-zka.de/institute/institut_hersteller.htm bezogen werden) parst, un die aktualisierten Daten in die blz.properties von HBCI4Java uebernimmt.

## Constructor Summary

Constructors
Constructor
Description
`UpdateBLZProperties()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UpdateBLZProperties

public UpdateBLZProperties()

## Method Details

### main

public static void main(String[] args) throws Exception

Parameters:
  `args` - 1. Pfad/Dateiname zu "fints_institute.csv". 2. Pfad/Dateiname zu "blz.properties". 3. Pfad/Dateiname zur neuen "blz.properties". 4. optional: Pfad/Dateiname zur BLZ-Datei der Bundesbank. Falls angegeben, werden die eventuell vorhandene BIC-Updates übernommen
Throws:
  `Exception`